package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.BlurryUserDto;
import com.qmth.distributed.print.business.bean.dto.ExamTaskDto;
import com.qmth.distributed.print.business.bean.query.BlurryParam;
import com.qmth.distributed.print.business.bean.query.ExamTaskParam;
import com.qmth.distributed.print.business.entity.ExamTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 命题任务 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamTaskMapper extends BaseMapper<ExamTask> {

    IPage<ExamTaskDto> listPage(Page<ExamTaskDto> page, @Param("param") ExamTaskParam param);

    List<BlurryUserDto> listUser(@Param("param") BlurryParam param);
}
